<?php

	# author Drk in

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? abs(intval($_GET['id'])): 0;

	if (cache_cat::ch($id) == false)system::header('/admin/cat','Ошибка ID не найден');

	$act = cache_cat::check($id);

	$pf = DB :: $dbh -> querySingle("SELECT count(id) FROM platforms  WHERE cat = ?;", array($act['id']));	

	if (!empty($pf))system::header('/admin/cat','Ошибка в категории есть сайты, удаление не возможно!');	

	# meta

	$title = 'Категории - Удалить - '.system::check($act['name']);
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Категории - Удалить - '.system::check($act['name']);

	# admin

	system::adm();

	# post

	if (isset($_POST['CFMS'])): 

	$CK    = system::check($_POST['CK']);
	
	if (empty($pf)):	
	if ($user['CK'] == $CK):		

	DB :: $dbh -> query("DELETE FROM cat WHERE id = ? LIMIT 1;", array($id));	
	
	@unlink(cache."_cat/{$id}.data"); 

	system::header('/admin/cat','Успешно',1);		

	# error 

	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;	
	else: system::header('?','Ошибка в категории есть сайты, удаление не возможно!'); endif;

	endif;

	# head

	require_once ( head );

	echo '
	<div class ="touch">
	<form method="post">
	<input type="hidden" name="CK" value="'.$user['CK'].'">
	Удалить категорию: <b>'.$act['name'].'</b> ?!
	<br>
	<input type="submit" name="CFMS" value="Да">
	</form>
	</div>
	<a href="'.site.'admin/cat" class="touch">« Назад</a>';

	# foot

	require_once ( foot ) ;
?>